Activity log for bug #1152477

Date Who What changed Old value New value Message
2013-03-08 06:56:25 Tigran Gabrielyan bug added bug
2013-03-08 06:57:09 Tigran Gabrielyan tags raring
2013-03-08 06:57:12 Tigran Gabrielyan description When we right click on a launcher's icon which has 2 or more windows open, we now have a list of open windows we may switch focus to. If the current focused window is in this list, it should be highlighted already. Some apps have the same name in the title bar and it is sometimes hard to tell which item in the list is the other window you are trying to give focus to. Example: 2 Chrome windows open, call it Window A and Window B. Window B has focus. Right click on chrome's launcher. Current behavior: Window A Window B What it should be: Window A * Window B * = this one should have the white background already (like when you hover over it) showing it's active or have the |> icon like the launcher do showing its the active one. Ubuntu 13.04 When we right click on a launcher's icon which has 2 or more windows open, we now have a list of open windows we may switch focus to. If the current focused window is in this list, it should be highlighted already. Some apps have the same name in the title bar and it is sometimes hard to tell which item in the list is the other window you are trying to give focus to. Example: 2 Chrome windows open, call it Window A and Window B. Window B has focus. Right click on chrome's launcher. Current behavior:     Window A     Window B What it should be:     Window A     * Window B * = this one should have the white background already (like when you hover over it) showing it's active or have the |> icon like the launcher do showing its the active one.
2013-03-08 06:58:27 Tigran Gabrielyan summary Right click context menu on launcher icons window list should highlight the current focused window Window list in right click context menu should show active/focused window
2013-03-08 06:59:20 Tigran Gabrielyan description Ubuntu 13.04 When we right click on a launcher's icon which has 2 or more windows open, we now have a list of open windows we may switch focus to. If the current focused window is in this list, it should be highlighted already. Some apps have the same name in the title bar and it is sometimes hard to tell which item in the list is the other window you are trying to give focus to. Example: 2 Chrome windows open, call it Window A and Window B. Window B has focus. Right click on chrome's launcher. Current behavior:     Window A     Window B What it should be:     Window A     * Window B * = this one should have the white background already (like when you hover over it) showing it's active or have the |> icon like the launcher do showing its the active one. Ubuntu 13.04 When we right click on a launcher's icon which has 2 or more windows open, we now have a list of open windows we may switch focus to. If the current focused window is in this list, it should be highlighted already. Some apps have the same name in the title bar and it is sometimes hard to tell which item in the list is the other window you are trying to give focus to. Example: 2 Chrome windows open, call it Window A and Window B. Window B has focus. Right click on chrome's launcher. Current behavior:     Window A     Window B What it should be:     Window A   * Window B * = this one should have the white background already (like when you hover over it) showing it's active or have the |> icon like the launcher do showing its the active one.
2013-03-08 07:03:10 Tigran Gabrielyan summary Window list in right click context menu should show active/focused window Window list in right click context menu should indicate the focused window
2013-03-09 06:53:20 Tigran Gabrielyan unity (Ubuntu): status New In Progress
2013-03-09 06:53:20 Tigran Gabrielyan unity (Ubuntu): assignee Tigran Gabrielyan (tigrangab)
2013-03-09 07:34:33 Tigran Gabrielyan attachment added ActiveWindowRadioImages.tar.gz https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1152477/+attachment/3564622/+files/ActiveWindowRadioImages.tar.gz
2013-03-09 08:52:35 Tigran Gabrielyan branch linked lp:~tigrangab/unity/unity-fix-1152477
2013-03-09 11:28:17 Andrea Azzarone bug task added unity
2013-03-09 11:28:27 Andrea Azzarone unity: status New Incomplete
2013-03-09 11:28:43 Andrea Azzarone bug task added ayatana-design
2013-03-09 11:29:02 Andrea Azzarone tags raring needs-design raring
2013-03-11 23:00:23 Yann Dìnendal bug added subscriber Yann Dìnendal
2013-03-19 01:05:34 Adolfo Jayme bug added subscriber Adolfo Jayme Barrientos
2013-03-19 10:02:20 John Lea ayatana-design: assignee John Lea (johnlea)
2013-03-19 10:02:22 John Lea ayatana-design: importance Undecided Medium
2013-03-19 10:02:24 John Lea unity: importance Undecided Medium
2013-03-19 10:02:26 John Lea unity (Ubuntu): importance Undecided Medium
2013-03-19 10:02:31 John Lea ayatana-design: status New Fix Committed
2013-03-19 10:02:34 John Lea unity: status Incomplete Triaged
2013-03-19 10:02:42 John Lea tags needs-design raring raring udp
2013-03-28 22:07:41 Tigran Gabrielyan summary Window list in right click context menu should indicate the focused window [FFe] Window list in right click context menu should indicate the focused window
2013-03-28 22:08:03 Tigran Gabrielyan bug added subscriber Ubuntu Release Team
2013-03-29 14:11:46 Marco Trevisan (Treviño) unity: status Triaged In Progress
2013-03-29 14:11:55 Marco Trevisan (Treviño) unity: assignee Tigran Gabrielyan (tigrangab)
2013-03-29 14:11:58 Marco Trevisan (Treviño) unity: milestone 7.0.0
2013-03-29 14:12:13 Marco Trevisan (Treviño) unity (Ubuntu): status In Progress New
2013-03-29 14:12:17 Marco Trevisan (Treviño) unity (Ubuntu): assignee Tigran Gabrielyan (tigrangab)
2013-03-29 15:29:17 Andrea Azzarone summary [FFe] Window list in right click context menu should indicate the focused window [UIFe] Window list in right click context menu should indicate the focused window
2013-04-02 01:23:54 Tigran Gabrielyan description Ubuntu 13.04 When we right click on a launcher's icon which has 2 or more windows open, we now have a list of open windows we may switch focus to. If the current focused window is in this list, it should be highlighted already. Some apps have the same name in the title bar and it is sometimes hard to tell which item in the list is the other window you are trying to give focus to. Example: 2 Chrome windows open, call it Window A and Window B. Window B has focus. Right click on chrome's launcher. Current behavior:     Window A     Window B What it should be:     Window A   * Window B * = this one should have the white background already (like when you hover over it) showing it's active or have the |> icon like the launcher do showing its the active one. Ubuntu 13.04 When we right click on a launcher's icon which has 2 or more windows open, we now have a list of open windows we may switch focus to. If the current focused window is in this list, it should be highlighted already. Some apps have the same name in the title bar and it is sometimes hard to tell which item in the list is the other window you are trying to give focus to. Example: 2 Chrome windows open, call it Window A and Window B. Window B has focus. Right click on chrome's launcher. Current behavior:     Window A     Window B What it should be:     Window A   * Window B * = radio state checked
2013-04-03 22:30:18 Andrea Azzarone description Ubuntu 13.04 When we right click on a launcher's icon which has 2 or more windows open, we now have a list of open windows we may switch focus to. If the current focused window is in this list, it should be highlighted already. Some apps have the same name in the title bar and it is sometimes hard to tell which item in the list is the other window you are trying to give focus to. Example: 2 Chrome windows open, call it Window A and Window B. Window B has focus. Right click on chrome's launcher. Current behavior:     Window A     Window B What it should be:     Window A   * Window B * = radio state checked Ubuntu 13.04 When we right click on a launcher's icon which has 2 or more windows open, we now have a list of open windows we may switch focus to. If the current focused window is in this list, it should be highlighted already. Some apps have the same name in the title bar and it is sometimes hard to tell which item in the list is the other window you are trying to give focus to. Example: 2 Chrome windows open, call it Window A and Window B. Window B has focus. Right click on chrome's launcher. Current behavior:     Window A     Window B What it should be:     Window A   * Window B * = radio state checked Ubuntu-doc list: https://lists.ubuntu.com/archives/ubuntu-doc/2013-March/017153.html
2013-04-04 14:40:48 Stephen M. Webb unity: milestone 7.0.0 7.0.1
2013-04-05 15:54:12 Steve Langasek unity (Ubuntu): status New Triaged
2013-04-05 17:05:06 PS Jenkins bot unity: status In Progress Fix Committed
2013-04-05 17:09:37 Andrea Azzarone unity (Ubuntu): status Triaged Fix Committed
2013-04-09 06:00:20 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2013-06-20 09:01:00 John Lea ayatana-design: status Fix Committed Fix Released
2013-08-02 15:34:00 Stephen M. Webb unity: status Fix Committed Fix Released
2013-08-02 15:34:00 Stephen M. Webb unity: milestone 7.0.1